## DirectFB-1.7.7.tar.gz

=== build-psp/Makefile ===
# PSP specific stuff first
PSPSDK = $(shell psp-config --pspsdk-path)

CC       = psp-gcc
CXX      = psp-g++
AS       = psp-gcc
LD       = psp-gcc
AR       = psp-ar
RANLIB   = psp-ranlib
STRIP    = psp-strip
MKSFO    = mksfo
PACK_PBP = pack-pbp
FIXUP    = psp-fixup-imports
# Add in PSPSDK includes and libraries.
INCDIR   +=  $(PSPSDK)/include
LIBDIR   +=  $(PSPSDK)/lib  -L/usr/local/pspdev/psp/lib

CFLAGS   += $(addprefix -I,$(INCDIR))  -Werror-implicit-function-declaration
CXXFLAGS += $(CFLAGS) $(CXXFLAGS)
ASFLAGS  += $(CFLAGS) $(ASFLAGS)

LDFLAGS  += -L$(LIBDIR) -L .
PSPLIBS  = -lc -lpthread-psp -lpspdebug -lpspdisplay -lpspge -lpspctrl -lpspsdk -lc -lpspnet -lpspnet_inet -lpspnet_apctl -lpspnet_resolver -lpsputility -lpspuser -lpspkernel -lpsprtc

####################################################################
#
# Global setup
TOP    = .
SOURCE = $(TOP)/..

NM ?= nm

#
# Version definition
MAJOR   = 1
MINOR   = 5
TINY    = 0
VERSION = $(MAJOR).$(MINOR).$(TINY)

# Default target
default: all

#
# Compiler flags
CFLAGS += -O2 -Wall -fno-strict-aliasing 

#
# Configuration header files
INCLUDES += -I$(TOP)

#
# Preprocessor flags
CPPFLAGS += \
	-DHAVE_CONFIG_H							\
	-DHAVE_STDBOOL_H						\
	-D_GNU_SOURCE							\
	-D_REENTRANT							\
	-DVERSION=\"$(VERSION)\"					\
        -DBUILDTIME="\"$(buildtime)\""

#
# Debug option
ifeq ($(DEBUG),yes)
  CPPFLAGS += -DENABLE_DEBUG=1
  CFLAGS   += -g3
else
  CPPFLAGS += -DENABLE_DEBUG=0
endif

#
# Trace option
ifeq ($(TRACE),yes)
  CFLAGS   += -finstrument-functions
  CPPFLAGS += -DENABLE_TRACE=1
else
  CPPFLAGS += -DENABLE_TRACE=0
endif

####################################################################################

DESTDIR = /usr/local/pspdev/
prefix  = /usr/local/pspdev

datadir = /usr/local/share/directfb-examples

#
# Take system freetype
#INCLUDES += $(shell pkg-config --cflags freetype2)
#LIBS     += $(shell pkg-config --libs freetype2)

#
# Take system jpeg
LIBS     += -ljpeg

#
# Take system png
LIBS     += -lpng -lz

##################################################################################
#
# Installation paths
prefix     ?= /opt/directfb
bindir     ?= $(prefix)/bin
datadir    ?= $(prefix)/share
libdir     ?= $(prefix)/lib
moddir     ?= $(libdir)/directfb
sysconfdir ?= $(prefix)/etc

CPPFLAGS += \
	-DDATADIR=\"$(datadir)\"	\
	-DMODULEDIR=\"$(moddir)\"	\
	-DSYSCONFDIR=\"$(sysconfdir)\"

buildtime = $(shell sh -c date -u +%Y-%m-%d %H:%M)

#
# libdirect object files
LIB_DIRECT_OBJECTS = \
	$(SOURCE)/lib/direct/clock.o				\
	$(SOURCE)/lib/direct/conf.o				\
	$(SOURCE)/lib/direct/debug.o				\
	$(SOURCE)/lib/direct/direct.o				\
	$(SOURCE)/lib/direct/direct_result.o			\
	$(SOURCE)/lib/direct/fifo.o				\
	$(SOURCE)/lib/direct/hash.o				\
	$(SOURCE)/lib/direct/interface.o			\
	$(SOURCE)/lib/direct/log.o				\
	$(SOURCE)/lib/direct/log_domain.o			\
	$(SOURCE)/lib/direct/list.o				\
	$(SOURCE)/lib/direct/map.o				\
	$(SOURCE)/lib/direct/mem.o				\
	$(SOURCE)/lib/direct/memcpy.o				\
	$(SOURCE)/lib/direct/messages.o				\
	$(SOURCE)/lib/direct/modules.o				\
	$(SOURCE)/lib/direct/print.o				\
	$(SOURCE)/lib/direct/processor.o			\
	$(SOURCE)/lib/direct/result.o				\
	$(SOURCE)/lib/direct/serial.o				\
	$(SOURCE)/lib/direct/signals.o				\
	$(SOURCE)/lib/direct/stream.o				\
	$(SOURCE)/lib/direct/system.o				\
	$(SOURCE)/lib/direct/thread.o				\
	$(SOURCE)/lib/direct/trace.o				\
	$(SOURCE)/lib/direct/tree.o				\
	$(SOURCE)/lib/direct/utf8.o				\
	$(SOURCE)/lib/direct/util.o				\
	$(SOURCE)/lib/direct/os/psp/clock.o			\
	$(SOURCE)/lib/direct/os/psp/deprecated.o		\
	$(SOURCE)/lib/direct/os/psp/filesystem.o		\
	$(SOURCE)/lib/direct/os/psp/log.o			\
	$(SOURCE)/lib/direct/os/psp/mem.o			\
	$(SOURCE)/lib/direct/os/psp/signals.o			\
	$(SOURCE)/lib/direct/os/psp/system.o			\
	$(SOURCE)/lib/direct/os/psp/thread.o			\
	$(SOURCE)/lib/direct/os/psp/util.o

WM_OBJECTS = \
	$(SOURCE)/wm/default/default.o

PROVIDER_OBJECTS = \
	$(SOURCE)/interfaces/IDirectFBImageProvider/idirectfbimageprovider_gif.o	\
	$(SOURCE)/interfaces/IDirectFBImageProvider/idirectfbimageprovider_jpeg.o	\
	$(SOURCE)/interfaces/IDirectFBImageProvider/idirectfbimageprovider_png.o

#	$(SOURCE)/interfaces/IDirectFBFont/idirectfbfont_dgiff.o	\
#	$(SOURCE)/interfaces/IDirectFBFont/idirectfbfont_ft2.o	\
	
SYSTEM_OBJECTS = $(SOURCE)/systems/dummy/dummy.o

#
# libfusion object files
LIB_FUSION_OBJECTS = \
	$(SOURCE)/lib/fusion/arena.o				\
	$(SOURCE)/lib/fusion/call.o				\
	$(SOURCE)/lib/fusion/conf.o				\
	$(SOURCE)/lib/fusion/fusion.o				\
	$(SOURCE)/lib/fusion/hash.o				\
	$(SOURCE)/lib/fusion/lock.o				\
	$(SOURCE)/lib/fusion/object.o				\
	$(SOURCE)/lib/fusion/property.o			\
	$(SOURCE)/lib/fusion/reactor.o				\
	$(SOURCE)/lib/fusion/ref.o				\
	$(SOURCE)/lib/fusion/shmalloc.o			\
	$(SOURCE)/lib/fusion/vector.o

LIB_FUSION_OBJECTS_SINGLE = \
	$(SOURCE)/lib/fusion/shm/fake.o

#
# New surface core object files
SURFACE_CORE_OBJECTS_NEW = \
	$(SOURCE)/src/core/local_surface_pool.o		\
	$(SOURCE)/src/core/prealloc_surface_pool.o		\
	$(SOURCE)/src/core/shared_surface_pool.o		\
	$(SOURCE)/src/core/surface.o				\
	$(SOURCE)/src/core/surface_buffer.o			\
	$(SOURCE)/src/core/surface_core.o			\
	$(SOURCE)/src/core/surface_pool.o			\
	$(SOURCE)/src/core/surface_pool_bridge.o

#

#
# DirectFB object files
DIRECTFB_OBJECTS = \
	$(SOURCE)/src/gfx/generic/generic.o			\
	$(SURFACE_CORE_OBJECTS_NEW)					\
	$(SOURCE)/src/core/clipboard.o				\
	$(SOURCE)/src/core/colorhash.o				\
	$(SOURCE)/src/core/core.o				\
	$(SOURCE)/src/core/core_parts.o			\
	$(SOURCE)/src/core/fonts.o				\
	$(SOURCE)/src/core/gfxcard.o				\
	$(SOURCE)/src/core/input.o				\
	$(SOURCE)/src/core/layer_context.o			\
	$(SOURCE)/src/core/layer_control.o			\
	$(SOURCE)/src/core/layer_region.o			\
	$(SOURCE)/src/core/layers.o				\
	$(SOURCE)/src/core/palette.o				\
	$(SOURCE)/src/core/screen.o				\
	$(SOURCE)/src/core/screens.o				\
	$(SOURCE)/src/core/state.o				\
	$(SOURCE)/src/core/system.o				\
	$(SOURCE)/src/core/windows.o				\
	$(SOURCE)/src/core/windowstack.o			\
	$(SOURCE)/src/core/wm.o				\
	$(SOURCE)/src/directfb.o				\
	$(SOURCE)/src/display/idirectfbdisplaylayer.o		\
	$(SOURCE)/src/display/idirectfbpalette.o		\
	$(SOURCE)/src/display/idirectfbscreen.o		\
	$(SOURCE)/src/display/idirectfbsurface.o		\
	$(SOURCE)/src/display/idirectfbsurface_layer.o		\
	$(SOURCE)/src/display/idirectfbsurface_window.o	\
	$(SOURCE)/src/gfx/clip.o				\
	$(SOURCE)/src/gfx/convert.o				\
	$(SOURCE)/src/gfx/util.o				\
	$(SOURCE)/src/idirectfb.o				\
	$(SOURCE)/src/input/idirectfbinputbuffer.o		\
	$(SOURCE)/src/input/idirectfbinputdevice.o		\
	$(SOURCE)/src/media/idirectfbdatabuffer.o		\
	$(SOURCE)/src/media/idirectfbdatabuffer_file.o		\
	$(SOURCE)/src/media/idirectfbdatabuffer_memory.o	\
	$(SOURCE)/src/media/idirectfbdatabuffer_streamed.o	\
	$(SOURCE)/src/media/idirectfbfont.o			\
	$(SOURCE)/src/media/idirectfbimageprovider.o		\
	$(SOURCE)/src/media/idirectfbvideoprovider.o		\
	$(SOURCE)/src/misc/conf.o				\
	$(SOURCE)/src/misc/gfx_util.o				\
	$(SOURCE)/src/misc/util.o				\
	$(SOURCE)/src/windows/idirectfbwindow.o

#
# DirectFB header files
DIRECTFB_INCLUDES += \
	-I$(SOURCE)/include					\
	-I$(SOURCE)/lib					\
	-I$(SOURCE)/src					\
	-I$(SOURCE)/systems


#
# Build list of all objects
OBJECTS += \
	$(DIRECTFB_OBJECTS)						\
	$(LIB_DIRECT_OBJECTS)						\
	$(LIB_FUSION_OBJECTS_SINGLE)					\
	$(LIB_FUSION_OBJECTS)						\
	$(PROVIDER_OBJECTS)						\
	$(WM_OBJECTS)						\
	$(SYSTEM_OBJECTS)

#
# Build complete include path
INCLUDES += \
	$(DIRECTFB_INCLUDES)



#
# All libraries
PSPLIBS += \
	-lfreetype							\
	-lm


#
# All tools and tests
TOOLS += \
	$(SOURCE)/tools/dfbinfo

#
# List of generated header files
GEN_HEADERS = \
	$(SOURCE)/include/directfb_keynames.h			\
	$(SOURCE)/include/directfb_strings.h			\
	$(SOURCE)/include/directfb_version.h


#
# Rules
all: $(GEN_HEADERS) libdirectfb.a $(TOOLS) $(TEST) $(TOOLS:%=%.nm)

libdirectfb.o: $(OBJECTS)
	$(LD) $(LDFLAGS) -r -o $@ $(OBJECTS)

libdirectfb.a: $(OBJECTS)
	$(AR) cru libdirectfb.a $(OBJECTS)

%.o: %.c $(GEN_HEADERS)
	$(CC) $(CFLAGS) -c $(CPPFLAGS) $(INCLUDES) -o $@ $<

$(SOURCE)/tools/%: $(SOURCE)/tools/%.o psp-setup.o libdirectfb.a
	$(CC) $(LDFLAGS) -o $@ $< $(TOP)/psp-setup.o libdirectfb.a $(LIBS) $(PSPLIBS)
	$(FIXUP) $@
	$(STRIP) $@


%.nm: %
	$(NM) -n $< > $@



.PHONY: clean install

clean::
	rm -f libdirectfb.*o* $(TOOLS) $(TEST) $(GEN_HEADERS)
	find $(SOURCE) -name "*.o" | xargs rm -f
	find $(SOURCE) -name "*.so" | xargs rm -f
	find $(SOURCE) -name "*.nm" | xargs rm -f

install:: all
	@(if test -z "$(DESTDIR)"; then echo "**** DESTDIR not set! ****"; exit 1; fi)
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(libdir)
	install -d $(DESTDIR)$(moddir)
	install -d $(DESTDIR)$(moddir)/inputdrivers
	install -d $(DESTDIR)$(moddir)/interfaces
	install -d $(DESTDIR)$(moddir)/gfxdrivers
	install -d $(DESTDIR)$(moddir)/systems
	install -d $(DESTDIR)$(moddir)/wm
	install -c -m 755 $(TEST) $(TOOLS) $(TOOLS:%=%.nm) $(DESTDIR)$(bindir)/




DFBINC  = $(SOURCE)/include
MKNAMES = $(SOURCE)/tools/mknames.sh


$(DFBINC)/directfb_version.h: Makefile
	@echo '#ifndef __DIRECTFB_VERSION_H__' > $@
	@echo '#define __DIRECTFB_VERSION_H__' >> $@
	@echo '' >> $@
	@echo '#define DIRECTFB_MAJOR_VERSION  (' $(MAJOR) ')' >> $@
	@echo '#define DIRECTFB_MINOR_VERSION  (' $(MINOR) ')' >> $@
	@echo '#define DIRECTFB_MICRO_VERSION  (' $(TINY) ')' >> $@
	@echo '#define DIRECTFB_BINARY_AGE     (0)' >> $@
	@echo '#define DIRECTFB_INTERFACE_AGE  (0)' >> $@
	@echo '' >> $@
	@echo '' >> $@
	@echo '#endif' >> $@


$(DFBINC)/directfb_keynames.h: $(DFBINC)/directfb_keyboard.h $(MKNAMES) Makefile
	@echo '#ifndef __DIRECTFB_KEYNAMES_H__' > $@
	@echo '#define __DIRECTFB_KEYNAMES_H__' >> $@

	$(MKNAMES) DFBInputDeviceKeySymbol DIKS NULL KeySymbol symbol $(DFBINC)/directfb_keyboard.h \
	   | grep -v DIKS_ENTER >> $@

	$(MKNAMES) DFBInputDeviceKeyIdentifier DIKI UNKNOWN KeyIdentifier identifier $(DFBINC)/directfb_keyboard.h \
	   | grep -v DIKI_NUMBER_OF_KEYS | grep -v DIKI_KEYDEF_END >> $@

	@echo '' >> $@
	@echo '#endif' >> $@


$(DFBINC)/directfb_strings.h: $(DFBINC)/directfb.h $(MKNAMES) Makefile
	@echo '#ifndef __DIRECTFB_STRINGS_H__' > $@
	@echo '#define __DIRECTFB_STRINGS_H__' >> $@

	$(MKNAMES) DFBSurfacePixelFormat DSPF UNKNOWN PixelFormat format $(DFBINC)/directfb.h >> $@

	$(MKNAMES) DFBInputDeviceTypeFlags DIDTF NONE InputDeviceTypeFlags type $(DFBINC)/directfb.h \
	   | grep -v DIDTF_ALL >> $@

	$(MKNAMES) DFBSurfaceDrawingFlags DSDRAW NOFX SurfaceDrawingFlags flag $(DFBINC)/directfb.h \
	   | grep -v DSDRAW_ALL >> $@

	$(MKNAMES) DFBSurfaceBlittingFlags DSBLIT NOFX SurfaceBlittingFlags flag $(DFBINC)/directfb.h \
	   | grep -v DSBLIT_ALL >> $@

	@echo FIXME: Use DIMCAPS prefix for DFBImageCapabilities
	$(MKNAMES) DFBInputDeviceCapabilities DICAPS NONE InputDeviceCapabilities capability $(DFBINC)/directfb.h \
	   | grep -v DICAPS_ALL | grep -v DICAPS_ALPHACHANNEL | grep -v DICAPS_COLORKEY >> $@

	$(MKNAMES) DFBDisplayLayerTypeFlags DLTF NONE DisplayLayerTypeFlags type $(DFBINC)/directfb.h \
	   | grep -v DLTF_ALL >> $@

	$(MKNAMES) DFBDisplayLayerCapabilities DLCAPS NONE DisplayLayerCapabilities capability $(DFBINC)/directfb.h \
	   | grep -v DLCAPS_ALL >> $@

	$(MKNAMES) DFBDisplayLayerBufferMode DLBM UNKNOWN DisplayLayerBufferMode mode $(DFBINC)/directfb.h \
	   | grep -v DLBM_DONTCARE | grep -v DLBM_COLOR | grep -v DLBM_IMAGE | grep -v DLBM_TILE >> $@

	$(MKNAMES) DFBScreenCapabilities DSCCAPS NONE ScreenCapabilities capability $(DFBINC)/directfb.h \
	   | grep -v DSCCAPS_ALL >> $@

	$(MKNAMES) DFBScreenEncoderCapabilities DSECAPS NONE ScreenEncoderCapabilities capability $(DFBINC)/directfb.h \
	   | grep -v DSECAPS_ALL >> $@

	$(MKNAMES) DFBScreenEncoderType DSET UNKNOWN ScreenEncoderType type $(DFBINC)/directfb.h \
	   | grep -v DSET_ALL >> $@

	$(MKNAMES) DFBScreenEncoderTVStandards DSETV UNKNOWN ScreenEncoderTVStandards standard $(DFBINC)/directfb.h \
	   | grep -v DSETV_ALL >> $@

=== debian/changelog ===
directfb (1.7.0-final1) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 10 Jul 2013 20:19:33 +0100

directfb (1.7.0-20121011) precise; urgency=low

  * new upstream version, merged in a lot of packages

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 11 Oct 2012 14:32:34 +0100

directfb (1.7.0-20121008) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 08 Oct 2012 11:37:34 +0100

directfb (1.7.0-20121007) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 07 Oct 2012 22:38:34 +0100

directfb (1.7.0-20121004) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 04 Oct 2012 22:38:34 +0100

directfb (1.7.0-20120924) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Mon, 24 Sep 2012 13:38:51 +0100

directfb (1.6.0-1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 14 Jun 2012 17:54:59 +0100

directfb (1.6.0-0rc1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 31 Aug 2011 12:56:41 +0100

directfb (1.5.2-1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Fri, 29 Jul 2011 12:52:44 +0100

directfb (1.5.0-20110503) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 03 Mar 2011 11:05:16 +0100

directfb (1.5.0-20110422) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Fri, 22 Apr 2011 12:28:16 +0100

directfb (1.5.0-20110418) maverick; urgency=low

  * package requestors and dispatchers for voodoo operation
  * include voodooplay and dfbproxy in libdirectfb-bin package

 -- Andreas Shimokawa <andi@directfb.org>  Mon, 18 Apr 2011 20:28:16 +0100

directfb (1.5.0-20110413) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 13 Apr 2011 15:28:16 +0100

directfb (1.5.0-20110330) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110329) maverick; urgency=low

  * new upstream version
  * package vnc system

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110324) maverick; urgency=low

  * new upstream version, rename pacakage names for later 1.4 packaging

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110322) maverick; urgency=low

  * change naming scheme of modules, set package version to current date

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 22 Mar 2011 23:59:16 +0100

directfb (1.5.0-1) maverick; urgency=low

  * initial package of DirectFB 1.5

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 22 Mar 2011 15:58:16 +0100

=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Andreas Shimokawa <andi@directfb.org>
Uploaders: Andreas Shimokawa <andi@directfb.org>, Denis Oliver Kropp <dok@directfb.org>
Build-Depends: debhelper (>= 7.4.15), autoconf, automake,
 libtool, pkg-config, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 libmng-dev, libimlib2-dev, libjasper-dev, 
 libts-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 zlib1g-dev, x11proto-core-dev, libx11-dev, libxext-dev,
 libsysfs-dev [alpha amd64 arm armel avr32 hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sh4],
 libvncserver-dev, libasound2-dev, libmad0-dev, libvorbis-dev, libavcodec-dev,
 libavformat-dev, libavutil-dev,
 linux-fusion-dkms [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !armhf]
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.directfb.org/

Package: libdirectfb-1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, linux-fusion-dkms [!armhf],
 libdirectfb-1.7-wm, libdirectfb-1.7-system
Recommends: libdirectfb-1.7-imageprovider-gif, libdirectfb-1.7-imageprovider-png,
 libdirectfb-1.7-imageprovider-jpeg, libdirectfb-1.7-fontprovider-dgiff,
 libdirectfb-1.7-fontprovider-ft2, libdirectfb-1.7-wm-default
Description: DirectFB - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.

Package: libdirectfb-1.7-bin
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-bin
Conflicts: libdirectfb-bin
Provides: libdirectfb-bin
Description: DirectFB - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the directfbrc man page.

Package: libdirectfb-1.7-gfxdriver-gles2
Architecture: armhf
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-gfxdriver-gles2
Conflicts: libdirectfb-gfxdriver-gles2
Provides: libdirectfb-1.7-gfxdriver
Description: DirectFB - gles2 gfxdriver module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the EGL system module.

Package: libdirectfb-1.7-system-egl
Architecture: armhf
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-egl
Conflicts: libdirectfb-system-egl
Provides: libdirectfb-1.7-system
Description: DirectFB - egl system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the EGL system module.

Package: libdirectfb-1.7-system-fbdev
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-fbdev
Conflicts: libdirectfb-system-fbdev
Provides: libdirectfb-1.7-system
Description: DirectFB - fbdev system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the FBDEV system module.

Package: libdirectfb-1.7-system-vnc
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: libdirectfb-1.7-system
Description: DirectFB - vnc system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the VNC system module.

Package: libdirectfb-1.7-system-x11
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11
Conflicts: libdirectfb-system-x11
Provides: libdirectfb-1.7-system
Description: DirectFB - x11 system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11 system module.

Package: libdirectfb-1.7-system-x11vdpau
Architecture: i386 amd64
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11vdpau
Conflicts: libdirectfb-system-x11vdpau
Provides: libdirectfb-1.7-system
Description: DirectFB - x11vdpau system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11VDPAU system module.

Package: libdirectfb-1.7-system-x11vdpau-dev
Architecture: i386 amd64
Depends: libdirectfb-1.7-dev (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11vdpau-dev
Conflicts: libdirectfb-system-x11vdpau-dev
Provides: libdirectfb-1.7-system-dev
Description: DirectFB - x11vdpau system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11VDPAU system module development files.

Package: libdirectfb-1.7-system-devmem
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-devmem
Conflicts: libdirectfb-system-devmem
Provides: libdirectfb-1.7-system
Description: DirectFB - devmem system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DEVMEM system module.

Package: libdirectfb-1.7-imageprovider-png
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-png
Conflicts: libdirectfb-imageprovider-png
Description: DirectFB - png image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the PNG image provider

Package: libdirectfb-1.7-imageprovider-jpeg
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-jpeg
Conflicts: libdirectfb-imageprovider-jpeg
Description: DirectFB - jpeg image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the JPEG image provider

Package: libdirectfb-1.7-imageprovider-gif
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-gif
Conflicts: libdirectfb-imageprovider-gif
Description: DirectFB - gif image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the GIF image provider

Package: libdirectfb-1.7-imageprovider-dfiff
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-dfiff
Conflicts: libdirectfb-imageprovider-dfiff
Description: DirectFB - dfiff image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DFIFF image provider

Package: libdirectfb-1.7-imageprovider-bmp
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - bmp image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the BMP image provider

Package: libdirectfb-1.7-imageprovider-jpeg2000
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - jpeg2000 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the JPEG2000 image provider

Package: libdirectfb-1.7-imageprovider-imlib2
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - imlib2 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the IMLIB2 image provider

Package: libdirectfb-1.7-imageprovider-pnm
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - pnm image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the PNM image provider

Package: libdirectfb-1.7-imageprovider-mpeg2
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - mpeg2 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the MPEG2 image provider

Package: libdirectfb-1.7-videoprovider-gif
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-videoprovider-gif
Conflicts: libdirectfb-videoprovider-gif
Description: DirectFB - gif video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the GIF video provider

Package: libdirectfb-1.7-videoprovider-mng
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - mng video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the MNG video provider

Package: libdirectfb-1.7-videoprovider-v4l
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-videoprovider-v4l
Conflicts: libdirectfb-videoprovider-v4l
Description: DirectFB - v4l video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the V4L video provider

Package: libdirectfb-1.7-videoprovider-ffmpeg
Architecture: any
Depends: libdirectfb-1.7,
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - ffmpeg video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg_lib := $(shell dh_listpackages | head -n1)

pkgs_deb := $(shell dh_listpackages | sed -e '/$(pkg_lib)/d; /dbg/d')
pkgs_dbg := $(shell dh_listpackages | grep dbg | sed -e 's|-dbg||')

DESTDIR_DIST := $(CURDIR)/debian/tmp

BUILD_DIST := directfb-build

#conf_script_env := LDFLAGS="-wl,--as-needed"

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
else
  conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
  CROSS=LD=$(DEB_HOST_GNU_TYPE)-ld
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
  conf_options := \
    --with-gfxdrivers=vdpau \
    --enable-x11vdpau \
    --enable-video4linux2 \
    --enable-multi \
    --enable-voodoo \
    --enable-fusionsound \
    --enable-sawman \
    --enable-fusiondale \
    --enable-divine \
    --enbale-imlib2 \
    --enable-mng \
    --disable-unique \
    --disable-mesa
else
  conf_options := \
    --with-gfxdrivers=none \
    --with-inputdrivers=ps2mouse
endif

ifeq ($(DEB_HOST_ARCH_CPU), i386)
  conf_options += \
    --with-gfxdrivers=vdpau \
    --enable-x11vdpau
else
  conf_options += \
    --with-gfxdrivers=none
endif

ifeq ($(DEB_HOST_ARCH), armhf)
  conf_options += \
    --enable-egl \
    --with-gfxdrivers=gles2 \
    EGL_CFLAGS='-I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads' \
    EGL_LIBS='-L/opt/vc/lib -lGLESv2 -lEGL'
endif


%:
	dh --parallel $@

override_dh_auto_configure:
	autoreconf -f -i

	mkdir -p $(BUILD_DIST)

	cd $(BUILD_DIST) && \
	$(conf_script_env) ../configure \
		$(conf_gnu_type) \
		--prefix=/usr \
		--includedir=\$${prefix}/include \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc \
		--localstatedir=/var \
		$(conf_options) \
		--enable-static \
		--enable-one \
		--disable-one-module \
		--with-tests \
		--disable-unique \
		--disable-sdl \
		--enable-vnc \
		--enable-x11

override_dh_auto_build:
	$(MAKE) -j8 $(CROSS) -C $(BUILD_DIST)

override_dh_clean:
	rm -rf $(BUILD_DIST)

	find . -name 'Makefile.in' -delete
	rm -f configure config.* aclocal.m4 ltmain.sh INSTALL \
		missing mkinstalldirs depcomp install-sh compile

	dh_clean

override_dh_auto_install:
	$(MAKE) $(CROSS) -C $(BUILD_DIST) install DESTDIR=$(DESTDIR_DIST)

override_dh_install:
	dh_install -a  --sourcedir=$(DESTDIR_DIST)
	dh_install --remaining-packages

override_dh_link:
	for pkg in $(pkgs_deb); do \
		rm -rf debian/$$pkg/usr/share/doc/$$pkg; \
		dh_link -p$$pkg usr/share/doc/$(pkg_lib) usr/share/doc/$$pkg; \
	done

override_dh_makeshlibs:
	dh_makeshlibs -a

override_dh_strip:
	for pkg in $(pkgs_dbg); do \
		dh_strip -p$$pkg --dbg-package=$${pkg}-dbg; \
	done
	dh_strip --remaining-packages

.PHONY: override_dh_auto_test
